File perl-Package-DeprecationManager.changes of Package perl-Package-DeprecationManager

-------------------------------------------------------------------
Thu Jun 23 06:50:18 UTC 2016 - coolo@suse.com

- updated to 0.17
   see /usr/share/doc/packages/perl-Package-DeprecationManager/Changes

  0.17     2016-06-17
  
  - Remove use of namespace::autoclean.

-------------------------------------------------------------------
Wed Mar 23 10:56:22 UTC 2016 - coolo@suse.com

- updated to 0.16
   see /usr/share/doc/packages/perl-Package-DeprecationManager/Changes

  0.16     2016-03-21
  
  - The subs installed into the caller are now named with Sub::Name. This makes
    these subs appear to be part of the caller, as opposed to an import, which
    is what we want, since each installed sub is constructed uniquely for a
    given package.

-------------------------------------------------------------------
Sat Nov 14 10:07:17 UTC 2015 - coolo@suse.com

- updated to 0.15
   see /usr/share/doc/packages/perl-Package-DeprecationManager/Changes

  0.15     2015-11-13
  
  - Made this module co-operate with existing import() subs in packages that use
    this module, as long as you use this module last.

-------------------------------------------------------------------
Sun Apr 19 07:44:51 UTC 2015 - coolo@suse.com

- updated to 0.14
   see /usr/share/doc/packages/perl-Package-DeprecationManager/Changes

  0.14     2015-04-18
  
  - Use any() from List::Util 1.33+ instead of List::MoreUtils.

-------------------------------------------------------------------
Wed Mar 20 19:09:01 UTC 2013 - lars@linux-schulserver.de

- remove Package-DeprecationManager-0.10-Build_n_Test.patch as it 
  did not apply to newest version any more - use inline sed instead

-------------------------------------------------------------------
Tue May 29 13:46:21 UTC 2012 - coolo@suse.com

- updated to 0.13
  - Fix dist.ini to not add Test::Spelling as a requirement. (Tomas Doran)
  - Fix tests to pass with Carp 1.25. Reported by Andreas Koenig. RT#75520

-------------------------------------------------------------------
Mon Oct 31 15:07:21 UTC 2011 - pascal.bleser@opensuse.org

- update to 0.11:
  * allow an empty hash for the -deprecations parameter

-------------------------------------------------------------------
Wed Dec  1 13:34:16 UTC 2010 - coolo@novell.com

- switch to perl_requires macro

-------------------------------------------------------------------
Thu Nov 11 19:43:05 UTC 2010 - chris@computersalat.de

- recreated by cpanspec 1.78
  o fixed deps
- reworked Build_n_Test patch
- noarch pkg

-------------------------------------------------------------------
Tue Nov  2 19:27:21 UTC 2010 - jw@novell.com

- updated to 0.10, as 0.04 was too old for perl-Moose 0.19

-------------------------------------------------------------------
Mon Jul 26 07:32:11 UTC 2010 - pascal.bleser@opensuse.org

- initial package (0.04)